PETSc version 3.15.5
Fix/Edit manual page

# SETERRQ1

Macro that is called when an error has been detected,

### Synopsis

    #include <petscsys.h>
    PetscErrorCode SETERRQ1(MPI_Comm comm,PetscErrorCode ierr,char *formatmessage,arg)

Collective

### Input Parameters

| comm | - A communicator, so that the error can be collective
| ierr | - nonzero error code, see the list of standard error codes in include/petscerror.h
| message | - error message in the printf format
| arg | - argument (for example an integer, string or double)

### Notes

Once the error handler is called the calling function is then returned from with the given error code.

Experienced users can set the error handler with PetscPushErrorHandler().

### See Also

PetscTraceBackErrorHandler(), PetscPushErrorHandler(), PetscError(), CHKERRQ(), CHKMEMQ, SETERRQ(), SETERRQ2(), SETERRQ3()

### Level

beginner

### Location

src/sys/error/../../../include/petscerror.h

### Examples

src/sys/classes/random/tutorials/ex2.c.html
src/dm/impls/stag/tutorials/ex6.c.html
src/dm/tutorials/swarm_ex1.c.html
src/dm/tutorials/swarm_ex3.c.html
src/dm/field/tutorials/ex1.c.html
src/ksp/ksp/tutorials/ex42.c.html
src/ksp/ksp/tutorials/ex56.c.html
src/ksp/ksp/tutorials/ex59.c.html
src/ksp/ksp/tutorials/ex70.c.html
src/ksp/ksp/tutorials/ex71.c.html
src/ksp/ksp/tutorials/ex74.c.html
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages